FreeBSD : mysql -- format string vulnerability (fcb90eb0-2ace-11db-a6e2-000e0c2e438a)

Medium Nessus Plugin ID 22213


The remote FreeBSD host is missing one or more security-related updates.


Jean-David Maillefer reports a Denial of Service vulnerability within MySQL. The vulnerability is caused by improper checking of the data_format routine, which cause the MySQL server to crash. The crash is triggered by the following code:'SELECT date_format('%d%s', 1);


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 22213

File Name: freebsd_pkg_fcb90eb02ace11dba6e2000e0c2e438a.nasl

Version: $Revision: 1.11 $

Type: local

Published: 2006/08/14

Modified: 2013/06/22

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4

Temporal Score: 3.3

Vector: CVSS2#AV:N/AC:L/Au:S/C:N/I:N/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:mysql-server, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2006/08/13

Vulnerability Publication Date: 2006/06/27

Reference Information

CVE: CVE-2006-3469

BID: 19032